## python-certbot-dns-dnsimple 2.9.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = certbot-dns-dnsimple
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-certbot-dns-dnsimple 0.22.0

=== debian/changelog ===
python-certbot-dns-dnsimple (0.22.0-1) unstable; urgency=medium

  * Initial release (Closes: #893313).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 17 Mar 2018 18:15:51 -0400

=== debian/control ===
Source: python-certbot-dns-dnsimple
Maintainer: Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Andrew Starr-Bochicchio <asb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-acme (>= 0.22.0~),
               python3-certbot (>= 0.22.0~),
               python3-lexicon,
               python3-mock,
               python3-setuptools (>= 1.0),
               python3-sphinx (>= 1.3.1-1~),
               python3-sphinx-rtd-theme,
               python3-zope.interface
Standards-Version: 4.1.3
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple
Testsuite: autopkgtest-pkg-python

Package: python3-certbot-dns-dnsimple
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: DNSimple DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the DNSimple DNS plugin to the main application.

Package: python-certbot-dns-dnsimple-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the DNSimple DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This package contains the documentation for the DNSimple DNS plugin to
 the main application.

## python-certbot-dns-dnsimple 0.23.0

=== debian/changelog ===
python-certbot-dns-dnsimple (0.23.0-2ubuntu0ppa1~ubuntu14.04.1) trusty; urgency=medium

  * Backport to Trusty
  * Change debhelper to 9

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 06 Jun 2018 03:06:30 +0000

python-certbot-dns-dnsimple (0.23.0-2) unstable; urgency=medium

  * Update maintainer email to tracker.d.o address. (Closes: #899668)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 28 May 2018 22:47:25 -0400

python-certbot-dns-dnsimple (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Add an Enhances on certbot.
   - Require python3-lexicon >= 2.2.1.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 07 Apr 2018 16:29:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-certbot-dns-dnsimple
-Maintainer: Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9~),
                dh-python,
                python3,
                python3-acme (>= 0.22.0~),
                python3-certbot (>= 0.22.0~),
-               python3-lexicon,
+               python3-lexicon (>= 2.2.1),
                python3-mock,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
@@ -25,6 +26,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
+Enhances: certbot
 Description: DNSimple DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
@@ -56,4 +58,3 @@
  .
  This package contains the documentation for the DNSimple DNS plugin to
  the main application.
-

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-dnsimple

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

#override_dh_installdocs:
#	dh_installdocs --doc-main-package=python3-certbot-dns-dnsimple \
#		-p python-certbot-dns-dnsimple-doc
#	dh_installdocs -p python3-certbot-dns-dnsimple

## python-certbot-dns-dnsimple 0.31.0

=== debian/changelog ===
python-certbot-dns-dnsimple (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Bump deps per upstream
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 09 Feb 2019 20:05:52 -0500

python-certbot-dns-dnsimple (0.28.0-1) unstable; urgency=medium

  * New upstream version 0.28.0
  * Add R-R-R and bump S-V to 4.2.1

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Nov 2018 18:40:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: python-certbot-dns-dnsimple
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
+Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python3,
-               python3-acme (>= 0.22.0~),
-               python3-certbot (>= 0.22.0~),
+               python3-acme (>= 0.31.0~),
+               python3-certbot (>= 0.31.0~),
                python3-lexicon (>= 2.2.1),
                python3-mock,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-certbot-dns-dnsimple
 Architecture: all

## python-certbot-dns-dnsimple 1.3.0

=== debian/changelog ===
python-certbot-dns-dnsimple (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Switch to using a Provides virtual package for ABI management.
  * Add dep on pytest
  * Bump S-V; no changes needed
  * Switch to debhelper-compat

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 27 Apr 2020 19:39:37 -0400

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
-               python3-acme (>= 0.31.0~),
-               python3-certbot (>= 0.31.0~),
-               python3-lexicon (>= 2.2.1),
+               python3-acme-abi-1,
+               python3-certbot-abi-1 (>= 1.1),
+               python3-lexicon (>= 3.2.1),
                python3-mock,
+	       python3-pytest,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple
@@ -24,7 +25,9 @@
 
 Package: python3-certbot-dns-dnsimple
 Architecture: all
-Depends: ${python3:Depends},
+Depends: certbot,
+	 python3-certbot-abi-1 (>= 1.1),
+	 ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot
 Description: DNSimple DNS plugin for Certbot

## python-certbot-dns-dnsimple 1.18.0

=== debian/changelog ===
python-certbot-dns-dnsimple (1.18.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Harlan Lieberman-Berg ]
  * New upstream version 1.18.0
  * Bump dependencies.
  * Bump S-V; no changes needed.
  * Reflow d/control with wrap-and-sort

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 23 Aug 2021 18:45:23 -0400

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1,
-               python3-certbot-abi-1 (>= 1.1),
+               python3-acme-abi-1 (>= 1.18),
+               python3-certbot-abi-1 (>= 1.18),
                python3-lexicon (>= 3.2.1),
-               python3-mock,
-	       python3-pytest,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple
@@ -26,9 +24,9 @@
 Package: python3-certbot-dns-dnsimple
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-1 (>= 1.1),
-	 ${python3:Depends},
-         ${misc:Depends}
+         python3-certbot-abi-1 (>= 1.18),
+         ${misc:Depends},
+         ${python3:Depends}
 Enhances: certbot
 Description: DNSimple DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
@@ -50,7 +48,7 @@
 Package: python-certbot-dns-dnsimple-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the DNSimple DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-dnsimple

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-dnsimple \
		-p python-certbot-dns-dnsimple-doc
	dh_installdocs -p python3-certbot-dns-dnsimple

## python-certbot-dns-dnsimple 2.0.0

=== debian/changelog ===
python-certbot-dns-dnsimple (2.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Harlan Lieberman-Berg ]
  * New upstream version 1.21.0
  * Add new signing keys, see bug #999503
  * New signing key.
  * New upstream version 2.0.0
  * Bump certbot, acme dependencies

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 24 Nov 2022 15:10:12 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1 (>= 1.18),
-               python3-certbot-abi-1 (>= 1.18),
+               python3-acme-abi-2 (>= 2.0),
+               python3-certbot-abi-2 (>= 2.0),
                python3-lexicon (>= 3.2.1),
-               python3-setuptools (>= 1.0),
-               python3-sphinx (>= 1.3.1-1~),
+               python3-setuptools,
+               python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-zope.interface
 Standards-Version: 4.6.0
@@ -24,7 +24,7 @@
 Package: python3-certbot-dns-dnsimple
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-1 (>= 1.18),
+         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot

## python-certbot-dns-dnsimple 2.9.0

=== debian/changelog ===
python-certbot-dns-dnsimple (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Bump requirements based on setup.py
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 16 Feb 2024 15:11:31 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-2 (>= 2.0),
-               python3-certbot-abi-2 (>= 2.0),
-               python3-lexicon (>= 3.2.1),
+               python3-acme-abi-2 (>= 2.9),
+               python3-certbot-abi-2 (>= 2.9),
+               python3-lexicon (>= 3.14.1),
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple

## python-certbot-dns-dnsimple 4.0.0

=== debian/changelog ===
python-certbot-dns-dnsimple (4.0.0-2) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3
  * Rewrite d/rules with newer & shorter syntax
  * Rewrite d/watch in v5 format

  [ Debian Janitor ]
  * Apply multi-arch hints

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 18:42:15 +0100

python-certbot-dns-dnsimple (4.0.0-1) unstable; urgency=medium

  * d/watch: newer packages use an underscore
  * New upstream version 4.0.0
  * Bump dependency requirements (Closes: #1106470)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 20:06:16 -0400

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,26 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
-               python3-acme-abi-2 (>= 2.9),
-               python3-certbot-abi-2 (>= 2.9),
+               python3-acme-abi-4 (>= 4.0~),
+               python3-certbot-abi-4 (>= 4.0~),
                python3-lexicon (>= 3.14.1),
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-dnsimple
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-certbot-dns-dnsimple
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+         python3-certbot-abi-4 (>= ${Abi-major-minor-version}),
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot
@@ -49,6 +47,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Documentation for the DNSimple DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = certbot-dns-dnsimple

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-dnsimple \
		-p python-certbot-dns-dnsimple-doc
	dh_installdocs -p python3-certbot-dns-dnsimple

override_dh_gencontrol:
	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars
	dh_gencontrol -- -Tdebian/abi.substvars

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/certbot-dns-dnsimple/
Matching-Pattern: certbot_dns_dnsimple-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Pgpsigurlmangle: s/$/.asc/
Uversionmangle: s/(rc|a|b|c)/~$1/
